> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paytsoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get administration payment plans

> Get administration payment plans



## OpenAPI

````yaml /openapi3.json get /v1/payment_plans
openapi: 3.0.0
info:
  title: API Endpoints
  description: >-
    This page allows you to explore the available API endpoints. Select a
    resource (e.g. debtors) and an endpoint (e.g. /v1/debtors) to inspect an
    example response and available parameters. An authorization header
    containing a Bearer token is required, see
    [Authentication](/authentication/authorization).
  version: 1.0.0
servers:
  - url: https://api.paytsoftware.com
    description: Production
  - url: https://demo-api.paytsoftware.com
    description: Demo / testing
security:
  - bearerAuth: []
tags:
  - name: administrations
    description: Operations about administrations
  - name: companies
    description: Operations about companies
  - name: contacts
    description: Operations about contacts
  - name: credit_cases
    description: Operations about credit_cases
  - name: debtors
    description: Operations about debtors
  - name: files
    description: Operations about files
  - name: orders
    description: Operations about orders
  - name: order_lines
    description: Operations about order_lines
  - name: invoices
    description: Operations about invoices
  - name: messages
    description: Operations about messages
  - name: notes
    description: Operations about notes
  - name: notifications
    description: Operations about notifications
  - name: payments
    description: Operations about payments
  - name: payment_conditions
    description: Operations about payment_conditions
  - name: payment_plans
    description: Operations about payment_plans
  - name: psp_mandates
    description: Operations about psp_mandates
  - name: psp_transactions
    description: Operations about psp_transactions
  - name: sign_up
    description: Operations about sign_ups
  - name: tasks
    description: Operations about tasks
  - name: vat_rates
    description: Operations about vat_rates
paths:
  /v1/payment_plans:
    get:
      tags:
        - payment_plans
      summary: Get administration payment plans
      description: Get administration payment plans
      operationId: getV1PaymentPlans
      parameters:
        - in: query
          name: administration_id
          description: Administration identifier
          required: true
          schema:
            type: string
        - in: query
          name: ids
          description: Filter payment plans with a comma separated list of internal ids
          required: false
          schema:
            type: string
        - in: query
          name: debtor_numbers
          description: Filter payment plans with a comma separated list of debtor numbers
          required: false
          schema:
            type: string
        - in: query
          name: debtor_identifiers
          description: >-
            Filter payment plans with a comma separated list of debtor
            identifiers from your accounting software
          required: false
          schema:
            type: string
        - in: query
          name: updated_after
          description: ISO8601 UTC Timestamp to filter records updated after it
          required: false
          schema:
            type: string
            format: date-time
        - in: query
          name: fields
          description: >-
            JSON object defining fields to receive (e.g {"only": ["field1",
            {"field2": ["field3"]}]})
          required: false
          schema:
            type: string
        - in: query
          name: cursor
          description: The record identifier after which to start the page
          required: false
          schema:
            type: string
        - in: query
          name: per_page
          description: >-
            How many records will be returned per page, (1..500), defaults to
            100
          required: false
          schema:
            type: integer
            format: int32
            minimum: 1
            maximum: 500
            default: 100
      responses:
        '200':
          description: Get administration payment plans
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerApi_PaymentPlansPageEntity'
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerApi_ErrorEntity'
        '403':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerApi_ErrorEntity'
components:
  schemas:
    CustomerApi_PaymentPlansPageEntity:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/CustomerApi_V1_PaymentPlanEntity'
          description: Payment plan
        pagination:
          allOf:
            - $ref: '#/components/schemas/CustomerApi_PaginationEntity'
          description: Pagination details
      required:
        - data
      description: CustomerApi_PaymentPlansPageEntity model
    CustomerApi_ErrorEntity:
      type: object
      properties:
        code:
          type: string
          description: Error code
        message:
          type: string
          description: Error message
      required:
        - code
        - message
      description: CustomerApi_ErrorEntity model
    CustomerApi_V1_PaymentPlanEntity:
      type: object
      properties:
        payment_terms:
          type: array
          items:
            $ref: '#/components/schemas/CustomerApi_V1_PlannedPaymentEntity'
          description: Payment terms
        active:
          type: boolean
          description: Whether the payment plan is active
        auto_activated:
          type: boolean
          description: Whether the payment plan was auto-activated
        reason:
          type: string
          description: Reason for proposing payment plan provided by debtor
        rejected_by_user:
          allOf:
            - $ref: '#/components/schemas/CustomerApi_V1_UserEntity'
          description: User who rejected the proposed payment plan
        administration_id:
          type: string
          description: Owning administration identifier
        debtor_id:
          type: string
          description: Associated debtor identifier
        id:
          type: string
          description: Unique identifier
        approved_at:
          type: string
          format: date-time
          description: Timestamp at which the payment plan was approved
        created_at:
          type: string
          format: date-time
          description: Timestamp at which the payment plan was created
        deactivated_at:
          type: string
          format: date-time
          description: Timestamp at which the payment plan was deactivated
        updated_at:
          type: string
          format: date-time
          description: Timestamp at which the payment_plan was last updated
        proposed_at:
          type: string
          format: date-time
          description: Timestamp at which the payment plan was proposed
        rejected_at:
          type: string
          format: date-time
          description: Timestamp at which the payment plan was rejected
        public_url:
          type: string
          description: Link to the debtor portal (request with the 'fields' parameter)
      required:
        - auto_activated
        - administration_id
        - debtor_id
        - id
        - created_at
        - updated_at
      description: CustomerApi_V1_PaymentPlanEntity model
    CustomerApi_PaginationEntity:
      type: object
      properties:
        cursor:
          type: string
          description: Cursor for fetching the next page
      required:
        - cursor
    CustomerApi_V1_PlannedPaymentEntity:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier
        total_amount:
          type: string
          description: Total amount
        amount_due:
          type: string
          description: Amount due
        due_date:
          type: string
          description: Due date
        payment_date:
          type: string
          description: Date the payment term was fully paid
      required:
        - id
        - total_amount
        - amount_due
        - due_date
        - payment_date
    CustomerApi_V1_UserEntity:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier
        name:
          type: string
          description: Name
        email_address:
          type: string
          description: Email address
      required:
        - id
        - name
        - email_address
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        OAuth2 access token or static API token. See
        [Authorization](/authentication/authorization) for how to obtain one.

````